From kristen.c.accardi@intel.com Fri Aug  5 14:08:08 2005
Subject: PCI Hotplug: use bus_slot number for name
From: Kristen Accardi <kristen.c.accardi@intel.com>
Cc: <greg@kroah.com>, <rajesh.shah@intel.com>
Date: Fri, 05 Aug 2005 12:16:06 -0700
Message-Id: <1123269366.8917.39.camel@whizzy>

For systems with multiple hotplug controllers, you need to use more than
just the slot number to uniquely name the slot.  Without a unique slot
name, the pci_hp_register() will fail.  This patch adds the bus number
to the name.

Signed-off-by: Kristen Carlson Accardi <kristen.c.accardi@intel.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/pci/hotplug/pciehp.h |    2 +-
 drivers/pci/hotplug/shpchp.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

--- gregkh-2.6.orig/drivers/pci/hotplug/pciehp.h	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/drivers/pci/hotplug/pciehp.h	2005-08-08 14:08:33.000000000 -0700
@@ -302,7 +302,7 @@
 
 static inline void make_slot_name(char *buffer, int buffer_size, struct slot *slot)
 {
-	snprintf(buffer, buffer_size, "%d", slot->number);
+	snprintf(buffer, buffer_size, "%04d_%04d", slot->bus, slot->number);
 }
 
 enum php_ctlr_type {
--- gregkh-2.6.orig/drivers/pci/hotplug/shpchp.h	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/drivers/pci/hotplug/shpchp.h	2005-08-08 14:08:33.000000000 -0700
@@ -411,7 +411,7 @@
 
 static inline void make_slot_name(char *buffer, int buffer_size, struct slot *slot)
 {
-	snprintf(buffer, buffer_size, "%d", slot->number);
+	snprintf(buffer, buffer_size, "%04d_%04d", slot->bus, slot->number);
 }
 
 enum php_ctlr_type {
